package cn.org.bjca.trust.android.lib.im.bean;

import cn.org.bjca.trust.android.lib.im.bean.message.TextMessage;
import cn.org.bjca.trust.android.lib.im.enums.MsgType;

public class SZYXMessage {
    /**
     * 消息id
     */
    private String msgId;
    /**
     *发送者信息
     */
    private UserInfo fromClient;
    /**
     *接收者信息
     */
    private UserInfo toClient;
    /**
     *真实讲话人
     */
    private UserInfo speaker;
    /**
     *自定义信息
     */
    private String describe;
    /**
     *是不是群消息
     */
    private boolean isGroup;
    /**
     *是不是接收消息
     */
    private boolean isArrive;
    /**
     *消息发送状态
     */
    private boolean isSuccess;
    /**
     *时间戳
     */
    private long timestamp;
    /**
     *租户编号
     */
    private String tenantNo;
    /**
     *消息序列号
     */
    private long seq;
    /**
     * 消息类型
     */
    private MsgType msgType;
    private TextMessage textMessage;
}
