package cn.org.bjca.trust.android.lib.im.kit;

import android.content.Context;

public interface SdkInterface {

    void addIMSDKListener(IMSDKListener listener);

    void removeIMSDKListener(IMSDKListener listener);

    void init(Context context, String sdkAppID, IMSDKCallback callback);

    void login(String userID, String userSig, IMSDKCallback callback);

    void logout( IMSDKCallback callback);

    void addMsgListener(MsgListener listener);

    void removeMsgListener(MsgListener listener);

    void sendMsgForTextToC(String toUserId, String text, IMSDKCallback callback);

    void sendMsgForTextToG(String toGroupId, String text, IMSDKCallback callback);

    String getVersion();
}
